import java.util.ArrayList;

public class Gallery
{
    private ArrayList<Picture> pictures;
    private static final int GAP = 10;

    /**
        Constructs an empty gallery.
    */
    public Gallery()
    {
        pictures = new ArrayList<Picture>();
    }

    /**
        Adds a picture to the gallery.
        @param filename the name of the picture file
    */
    public void add(String filename)
    {
        pictures.add(new Picture(filename));
    }

    /**
        Arranges the pictures next to each other and draws them.
    */
    public void draw()
    {
        for (int i = 1; i < pictures.size(); i++)
        {
            Picture pic = pictures.get(i);
            Picture left = pictures.get(i - 1);
            pic.translate(left.getMaxX() + GAP, 0);
        }

        for (Picture pic : pictures)
        {
            pic.draw();
        }
    }

    /**
        Reorders the pictures so that all portraits come first,
        then all landscapes, then all squares.
    */
    public void reorder()
    {
    }
}
